summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Cezary M. Kruk2011-08-09 17:53:56 +0200
committer Niels Horn2011-08-09 17:53:56 +0200
commitce538ef95cfeb483f1bf6aebc7cf03d2cacd7dcb (patch)
tree4f7bb7fb78a3a659a187e4bad61a42e5175a796e
parentdfa57e71659d7533a4460cddd947b593e7c5ef23 (diff)
downloadslackbuilds-ce538ef95cfeb483f1bf6aebc7cf03d2cacd7dcb.tar.gz
system/cdwrite: Added (CD/DVD reading/writing/encoding shell)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--system/cdwrite/README10
-rw-r--r--system/cdwrite/cdwrite.SlackBuild62
-rw-r--r--system/cdwrite/cdwrite.info10
-rw-r--r--system/cdwrite/doinst.sh14
-rw-r--r--system/cdwrite/slack-desc19
5 files changed, 115 insertions, 0 deletions
diff --git a/system/cdwrite/README b/system/cdwrite/README
new file mode 100644
index 0000000000..72e11071a4
--- /dev/null
+++ b/system/cdwrite/README
@@ -0,0 +1,10 @@
+cdwrite is a console shell for reading, writing, and copying audio CDs
+as well as for creating and writing ISO images on CD media and data or
+ISO images on DVD media. It can also encode WAV files or audio CDs to
+FLAC, MP3, or OGG files, using optionally CDDB data and setting ID3
+tags.
+
+It requires id3lib and id3v2 packages available in SlackBuilds.org for
+mass ID3 tagging as well CDDB_get package available in cpan.org for
+communication with CDDB servers.
+
diff --git a/system/cdwrite/cdwrite.SlackBuild b/system/cdwrite/cdwrite.SlackBuild
new file mode 100644
index 0000000000..114eeddabb
--- /dev/null
+++ b/system/cdwrite/cdwrite.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# Slackware build script for cdwrite
+# Written by Cezary M. Kruk (c.kruk@bigfoot.com)
+
+PRGNAM=cdwrite
+VERSION=${VERSION:-3.3}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure \
+ --prefix=$PKG/usr
+
+make install
+
+# Since we installed directly in $PKG, fix the links
+cd $PKG/usr/bin
+ for link in $( find . -type l ); do
+ dest=$( readlink $link )
+ ln -sf $( basename $dest ) $link
+ done
+cd -
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+rm $PKG/usr/etc/cdwrite.conf
+rmdir $PKG/usr/etc
+
+mkdir $PKG/etc
+cp -p cdwrite.conf $PKG/etc/cdwrite.conf.new
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/system/cdwrite/cdwrite.info b/system/cdwrite/cdwrite.info
new file mode 100644
index 0000000000..58e1738d2c
--- /dev/null
+++ b/system/cdwrite/cdwrite.info
@@ -0,0 +1,10 @@
+PRGNAM="cdwrite"
+VERSION="3.3"
+HOMEPAGE="http://linux-bsd-unix.strefa.pl"
+DOWNLOAD="http://linux-bsd-unix.strefa.pl/cdwrite-3.3.tar.gz"
+MD5SUM="a7f86cc42ae683ad2a732d9f2b4a600c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Cezary M. Kruk"
+EMAIL="c.kruk@bigfoot.com"
+APPROVED="Niels Horn"
diff --git a/system/cdwrite/doinst.sh b/system/cdwrite/doinst.sh
new file mode 100644
index 0000000000..5f41c93fe6
--- /dev/null
+++ b/system/cdwrite/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/cdwrite.conf.new
diff --git a/system/cdwrite/slack-desc b/system/cdwrite/slack-desc
new file mode 100644
index 0000000000..5eeb358ed1
--- /dev/null
+++ b/system/cdwrite/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cdwrite: cdwrite (CD/DVD reading and writing and FLAC/MP3/OGG encoding shell)
+cdwrite:
+cdwrite: cdwrite is a console shell for reading, writing, and copying audio
+cdwrite: CDs as well as for creating and writing ISO images on CD media and
+cdwrite: data or ISO images on DVD media. It can also encode WAV files or
+cdwrite: audio CDs to FLAC, MP3, or OGG files, using optionally CDDB data and
+cdwrite: setting ID3 tags.
+cdwrite:
+cdwrite: It requires id3lib and id3v2 packages available in SlackBuilds.org
+cdwrite: for mass ID3 tagging as well as CDDB_get package available in
+cdwrite: cpan.org for communication with CDDB servers.